org.scalatest

# PrivateMethodTester

#### object PrivateMethodTester extends PrivateMethodTester

Companion object that facilitates the importing of `PrivateMethodTester` members as an alternative to mixing it in. One use case is to import `PrivateMethodTester` members so you can use them in the Scala interpreter:

    $scala -classpath scalatest.jar
    Welcome to Scala version 2.7.5.final (Java HotSpot(TM) Client VM, Java 1.5.0_16).
    Type in expressions to have them evaluated.
    Type :help for more information.

    scala> import org.scalatest.PrivateMethodTester._
    import org.scalatest.PrivateMethodTester._

    scala> class Example {
         |   private def addSesame(prefix: String) = prefix + " sesame"
         | }
    defined class Example

    scala> val example = new Example
    example: Example = Example@d8b6fe

    scala> val addSesame = PrivateMethod[String]('addSesame)
    addSesame: org.scalatest.PrivateMethodTester.PrivateMethod[String] = org.scalatest.PrivateMethodTester$PrivateMethod@5cdf95

    scala> example invokePrivate addSesame("open")
    res0: String = open sesame

    @author Bill Venners

Linear Supertypes
PrivateMethodTester, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. PrivateMethodTester
2. PrivateMethodTester
3. AnyRef
4. Any

Visibility

1. Public
2. All

### Type Members

1. #### class Invocation [T] extends AnyRef

   Class whose instances represent an invocation of a private method.

2. #### class Invoker extends AnyRef

   Class used via an implicit conversion to enable private methods to be tested.

3. #### class PrivateMethod [T] extends AnyRef

   Represent a private method, whose apply method returns an `Invocation` object that records the name of the private method to invoke, and any arguments to pass to it when invoked.

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### object PrivateMethod extends AnyRef

   Contains a factory method for instantiating `PrivateMethod` objects.

7. #### implicit def anyRefToInvoker (target: AnyRef): Invoker

   Implicit conversion from `AnyRef` to `Invoker`, used to enable assertions testing of private methods.

   Implicit conversion from `AnyRef` to `Invoker`, used to enable assertions testing of private methods.

   target

     the target object on which to invoke a private method.

   Attributes
     implicit
   Definition Classes
     PrivateMethodTester

8. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

9. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

10. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

11. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

13. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

14. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

15. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def toString (): String

    Definition Classes
      AnyRef → Any

21. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from PrivateMethodTester

### Inherited from AnyRef

### Inherited from Any